[package]
name = "watcat"
version = "0.1.0"
edition = "2024"

[dependencies]
serenity = "0.12"
lastfm = "0.10.0"
dotenvy = "0.15.7"
reqwest = "0.12"
reqwest-middleware = "0.4.2"
http-cache-reqwest = "0.15.1"
palette = "0.7.6"
# text rendering dependencies
arabic_reshaper = "0.4.2"
unicode-bidi = "0.3.18"
image = "0.25.6"
imagetext = { git = "https://github.com/nathanielfernandes/imagetext" }

[dependencies.magick_rust]
path = "./magick-rust"

[dependencies.tokio]
version = "1.21.2"
features = ["macros", "rt-multi-thread"]

[dependencies.sqlx]
version = "0.8.5"
features = ["sqlite", "runtime-tokio"]
